%global reponame c++utilities
%global soname 5

Name:           %{reponame}
Version:        5.26.1
Release:        1%{?dist}
Summary:        Common C++ classes and routines
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://github.com/Martchus/cpp-utilities
Source:         https://github.com/Martchus/cpp-utilities/archive/v%{version}/cpp-utilities-%{version}.tar.gz
BuildRequires:  cmake >= 3.9
BuildRequires:  cppunit-devel >= 1.14.0
BuildRequires:  pkgconfig

%description
Common C++ classes and routines such as argument parser, IO and conversion utilities.

%package -n lib%{reponame}%{soname}
Summary:        Common C++ classes and routines
Group:          System/Libraries

%description -n lib%{reponame}%{soname}
Common C++ classes and routines such as argument parser, IO and conversion utilities.

%package devel
Summary:        Devel files for %{reponame}
Group:          Development/Libraries/C and C++
Requires:       cmake >= 3.9
Requires:       glibc-devel
Requires:       lib%{reponame}%{soname} = %{version}
Requires:       libstdc++-devel
Requires:       pkg-config

%description devel
Development files for %{reponame}

%prep
%setup -q -n cpp-utilities-%{version}

%build
%cmake \
  -DBUILD_SHARED_LIBS:BOOL=ON
%cmake_build

%check
%if 0%{?fedora}
# FIXME: fix tests under Fedora which fail there with "1/1 Test #1: ...........***Exception: Child aborted  0.02 sec"
#%%if 0%{?fedora_version} < 33
#make %{?_smp_mflags} check
#%%else
#export LD_LIBRARY_PATH="$PWD/%{__cmake_builddir}:$LD_LIBRARY_PATH"
#%%cmake_build --target check
#%%endif
%else
%if 0%{?sle_version} == 150200 && 0%{?is_opensuse}
# FIXME: fix tests under Leap 15.2 which fail at some point with "1/1 Test #1: ...........***Exception: SegFault  0.02 sec"
%else
cd "%{__builddir}"
export LD_LIBRARY_PATH="$PWD:$LD_LIBRARY_PATH"
%cmake_build check
%endif
%endif

%install
%cmake_install


%files -n lib%{reponame}%{soname}
%license LICENSE
%{_libdir}/lib%{reponame}.so.%{soname}*

%files devel
%doc README.md
%{_includedir}/%{reponame}
%{_datadir}/%{reponame}
%{_libdir}/pkgconfig/%{reponame}.pc
%{_libdir}/lib%{reponame}.so

%changelog
* Wed Oct 16 2024 Marius Kittler <marius.kittler@suse.com>
- Update to 5.26.1

* Wed Apr  7 2021 Marius Kittler <marius.kittler@suse.com>
- Update to 5.10.2
